Bug 814039 - Beaker should report anaconda logs during install
Beaker should report anaconda logs during install
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.0
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks: 781918
  Show dependency treegraph
 
Reported: 2012-04-19 01:21 EDT by Dan Callaghan
Modified: 2012-06-26 02:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:40:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-04-19 01:21:53 EDT
Cobbler does this using anamon, a script which is fetched and executed in kickstart %pre. It watches various anaconda logs and reports them back to Cobbler. We should do a similar thing in Beaker, by taking the anamon script and modifying it to submit the logs to Beaker instead.
Comment 1 Bill Peck 2012-04-19 09:40:29 EDT
I think we should take this opportunity to improve the anamon script, currently every time a watched file grows it re-sends the file from the beginning.  It should keep track of the offset and only transfer the delta.
Comment 2 Steven Lawrance 2012-04-20 08:05:37 EDT
We should also submit logs by recipe ID (or task or provision ID, or whatever), instead of by system name.
Comment 3 Dan Callaghan 2012-04-24 04:53:41 EDT
This patch is anamon copied mostly as is:

http://gerrit.beaker-project.org/1029

The main difference is that it uses the recipe id instead of hostname, as per comment 2.

I haven't tackled Bill's suggestion in comment 1 to make the log uploads smarter.
Comment 7 Dan Callaghan 2012-06-26 02:40:39 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.